Subject: Re: [lemonade] Notifications

From: Alexey Melnikov <[email-masked]>
Date: Sun, 11 Jun 2006 21:42:03 +0100

Randall Gellens wrote:

> At 11:25 AM +0300 5/26/06, <[email-masked]> wrote:
>
>>  -----Original Message-----
>>  From: ext Randall Gellens [mailto:[email-masked]]
>>  Sent: 25 May, 2006 04:45
>>  To: Ordogh Zoltan (Nokia-TP-MSW/Tampere); [email-masked]; 
>> [email-masked]
>>  Subject: RE: [lemonade] Notifications
>>
>>  At 12:09 PM +0300 5/22/06, <[email-masked]> wrote:
>>
>>>   My understanding is that SIEVE or VFOLDER are simply filters - they
>>>  do not provide notifications, they simply filter which emails need to
>>>  be notified to the client (either online or offline) and if something
>>>  has passed the filter, the server will send the notification about
>>>  those emails that passed the filters.
>>
>> Not exactly.  Sieve has rules that trigger actions.  One of the 
>> actions can be to send a notification.
>>
>>  [ZÖr] SIEVE is responsible for triggering the notification only - 
>> not for sending it, right?
>
> My understanding is that the Sieve implementation will send 
> notifications.  Sieve extensions are used to indicate that a 
> notification is to be sent.  How it is sent will depend on the Sieve 
> implementation, for example, it might support SMS.

The current Sieve notifications draft include URI that would describe 
how notification is to be sent (i.e. SMS notifications would use SMS URI)

Some Sieve implementations might try to send notifications while 
executing the script.
Others would note that a notification is to be sent and will try to send 
it later.

>>>   So, in the end, when an email has passed the notification filters,
>>>  the server will check whether the client is online or offline. If
>>>  online: no problem with inband notification; if offline: the server
>>>  will look up the client's offline notification settings, and send the
>>>  notification accordingly.
>>
>> I'm not aware that Sieve has any knowledge of the connected state of 
>> any client.  My understanding is that Sieve rules might say "send 
>> notification to address foo", regardless if a client at address foo 
>> happens to be connected to the IMAP server at that moment.
>>
>>  [ZÖr] SIEVE triggers the notification only, isn't it? When the 
>> server is told that some mail needs to be notified, the server will 
>> check the online/offline state (not the SIEVE script). However, the 
>> SIEVE script could be also enhanced with built-in variables (like 
>> HAS_SESSION, IS_CONNECTED, etc whatever the syntax of SIEVE is)
>
Yes, that would be possible.
I think Cyrus Daboo has already suggested to use presence with 
notifications.

>> and then the SIEVE script could make the decisions as well. Server 
>> implementation people have more experience about which one would be 
>> better and why.
>
> Enhancements to Sieve should be discussed in the Sieve group.

I agree.

> But there are always edge cases in doing this, for example, the client 
> could connect or disconnect to the IMAP server immediately after the 
> Sieve script has tested the condition. We'd want to make sure that any 
> added complexity to Sieve is worth it.

Right.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade